import javax.swing.*;
import java.awt.Graphics;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class elips extends JFrame
{
 String isim;
 
 public elips(String a)
 {
 super(a);	 
 }

 public void paint(Graphics g)
 {
 Graphics2D g2=(Graphics2D)g;	 
 g2.setFont(new Font("Serif",Font.BOLD,24));	 
 g2.setColor(Color.red);
 g2.setStroke(new BasicStroke(2.0f));
 Ellipse2D x=new Ellipse2D.Double(50,50,500,200);
 g2.draw(x);	 
 }
    public static void main(String s[])
    {
        elips f = new elips("elips cizme programę");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        f.setSize(800,500);
        f.setVisible(true);        
    }
}

